Skip to main content
PUT
Update memberships

Supported products

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

listId
string
required

The unique identifier of the list whose memberships are to be updated.

Body

application/json
recordIdsToAdd
string[]
required

An array of strings representing the unique identifiers of records to be added to the list.

recordIdsToRemove
string[]
required

An array of strings representing the unique identifiers of records to be removed from the list.

Response

successful operation

recordIdsMissing
string[]
required

An array of strings representing the IDs of records that were not found or could not be processed during the update.

recordIdsRemoved
string[]
required

An array of strings representing the IDs of records that were successfully removed from the list.

recordsIdsAdded
string[]
required

An array of strings representing the IDs of records that were successfully added to the list.

Last modified on September 2, 2026